diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index eb010ab02672882cabb793cf5ad72babaa7ee07c..5e7bcaee9383d320e0e5e65cfa9d689c4ffbc660 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -968,6 +968,11 @@ cat > "${DIR}/chroot_script.sh" <<-__EOF__
 		if [ -f /lib/systemd/system/dnsmasq.service ] ; then
 			systemctl disable dnsmasq.service || true
 		fi
+
+		#Our kernels do not have ubuntu's ureadahead patches...
+		if [ -f /lib/systemd/system/ureadahead.service ] ; then
+			systemctl disable ureadahead.service || true
+		fi
 	}
 
 	#cat /chroot_script.sh